# Function createApproveAuthoritySignerInstruction

- createApproveAuthoritySignerInstruction(tokenBridgeProgramId, tokenAccount, owner, amount): TransactionInstruction

- #### Parameters

  - ##### tokenBridgeProgramId: PublicKeyInitData

  - ##### tokenAccount: PublicKeyInitData

  - ##### owner: PublicKeyInitData

  - ##### amount: number | bigint

  #### Returns TransactionInstruction

  - Defined in platforms/solana/protocols/tokenBridge/src/utils/tokenBridge/instructions/approve.ts:5

Generated using TypeDoc